Blog sobre Joomla

Viernes, 26 Abril 2013 09:36

Nuevo Joomla 3.1.0 estable!!!

Written by
Rate this item
(0 votes)

js3.0 large

 El proyecto Joomla! Spanish se complace en anunciar la inmediata disponibilidad de Joomla! 3.0.3- Spanish.Esta es una versión de seguridad. Esta versión también corrige varios problemas. El objetivo del Grupo de Desarrollo es continuar proporcionando actualizaciones regulares y frecuentes para la comunidad de Joomla!.

Para esta versión los requisitos del sistema son los siguientes:

PHP 5.3.1
register_globals debe estar apagado (Off)
magic_quotes_gpc debe estar apagado (Off)

 Hay que tener en cuenta que se puede pasar de Joomla 3.0 a Joomal 3.1 mediante un solo clic ya que se trata de una actualización y no de una migración.

Cabe destacar que en Joomla 3.1.0 se han añadido, entre otras funcionalidades, la gestión de etiquetas para artículos de contenido nativos, feed, contactos, etc.

Una de las grandes características de las Etiquetas (TAGS) es que se pueden anidar. Una etiqueta puede tener una sola etiqueta principal y múltiples etiquetas hijo. Esto permite organizar mejor las etiquetas y también mostrar un gran número de etiquetas relacionadas de forma más fácil.

¿Cuáles son las nuevas características de Joomla! 3.1?

  • 29855 - Tags (haga clic aquí para ver un post sobre esto).
  • 30298 - Añadido campo de nota en formulario.
  • 29822 - Mostrar registros en la consola de depuración.
  • 30085 - Refactorizar instalación para uso de las nuevas aplicaciones y clases MVC.
  • 29965 - Añadida paginación en el componente com_search.
  • 29770 - Añadidos disparadores (triggers) al guardar en com_config.
  • 30230 - Propiedad autoloadLanguage JPlugin.
  • 28924 - Se ha añadido subclase SQL Server para FinderIndexer.
  • 30318 - Añadido paquete Media wiki.
  • 30369 - Añadido paquete de OpenStreetMap.
  • 30364 - Añadida carcaterística UNION ALL.
  • 28574 - varios: Eliminado el plugin GeSHi.

Asuntos de seguridad corregidos

  • Prioridad moderada - Core - Vulnerabilidad XSS.
  • Prioridad moderada - Core - Vulnerabilidad DoS.
  • Prioridad baja - Core - Vulnerabilidad XSS.
  • Prioridad baja - Core - Divulgación de información.
  • Prioridad baja - Core - Vulnerabilidad XSS.
  • Prioridad baja - Core - Escalado de Privilegios.
  • Prioridad baja - Core - Vulnerabilidad XSS.

joomla-3.0-listo

 

¿Cuál es el estado de Joomla! 1.5?

El "soporte oficial" para Joomla 1.5 terminó en abril de 2012 y se ha continuado extraoficialmente dando soporte hasta el final de 2012 para atender los problemas de seguridad de alta prioridad.

¿Eso quiere decir que un sitio web con Joomla 1.5 dejará de funcionar? No, los sitios web desarrollados con Joomla 1.5 seguirán funcionando como siempre. Sin embargo, los desarrolladores de Joomla no lanzarán nuevas versiones para Joomla 1.5, por lo que no va a ser posible obtener correcciones de errores o correcciones de seguridad para el core (núcleo) de Joomla. Por esta razón, se recomienda migrar de Joomla 1.5 a ramas estables superiores.


¿Qué hacer con Joomla 2.5?

Joomla 3.0 es STS, lo que quiere decir que todos aquellos que se planteen instalar esta versión deberán tener en cuenta el ciclo semestral de actualizaciones, es decir, cada seis meses deberán actualizar su sitio a la nueva versión de Joomla.

En principio, solo debería actualizarse a Joomla 3.0 aquellos sitios web que quieran aprovechar las ventajas que ofrece la nueva versión del CMS.

Si actualmente estamos trabajando con Joomla 2.5, debemos recordar que se trata de una versión LTS (Long Term Support) y su soporte continuará hasta la publicación de Joomla 3.5, en 2014. Por lo tanto, aquellos sitios web que empleen Joomla 2.5 no necesitan migrar a la versión 3.0.

 

 



Read 3766 times